<script setup>
import { ref } from 'vue';

// give each todo a unique id
let id = 0;

const newTodo = ref('');
const todos = ref([
   { id: id++, text: 'Learn HTML' },
   { id: id++, text: 'Learn JavaScript' },
   { id: id++, text: 'Learn Vue' },
]);

function addTodo(newItem) {
   todos.value.push({ id: id++, text: newTodo.value });
   newTodo.value = '';
}

function removeTodo(todo) {
   todos.value = todos.value.filter((t) => t !== todo);
}
</script>

<template>
   <!-- Toggle display of a tag via a
   truthy/falsey toggle method     -->
   <div class="card">
      <div class="block card-header">
         <h2 class="card-header-title">Learning Module 5</h2>
      </div>
      <div class="block card-header">
         <h2 class="subtitle is-4">
            - Renders a list using v-for<br />-Adds ands removes from
            the list using methods
         </h2>
         <br />
      </div>
      <div class="card-content">
         <form @submit.prevent="addTodo" class="block tag is-size-4">
            <input v-model="newTodo" class="input" />
            <button class="button is-primary">Add Todo</button>
         </form>
         <ul>
            <li v-for="todo in todos" :key="todo.id" class="block">
               <span class="tag is-size-6">{{ todo.text }}</span>
               <button
                  class="button is-small is-danger"
                  @click="removeTodo(todo)"
               >
                  X
               </button>
            </li>
         </ul>
      </div>
   </div>
</template>
